%define name	opengroupware-docapi
%define version 1.0
%define cvs     20030721
%define release %{cvs}.1mdk

Summary:     OpenGroupware.org Document API
Name:        %{name}
Version:     %{version}
Release:     %{release}
License:     GPL
URL: http://www.opengroupware.org
Group:       Networking/Other
Prefix:      %{_libdir}/opengroupware.org
BuildRoot:   %{_tmppath}/%{name}-buildroot
Requires:    opengroupware-gstep-make, opengroupware-libfoundation, opengroupware-sope, opengroupware-env, opengroupware-logic
BuildRequires:	gcc-objc
Source:      opengroupware.org-docapi-%{cvs}.tar.bz2

BuildRequires: opengroupware-gstep-make opengroupware-gstep-make-devel opengroupware-gstep-objc opengroupware-gstep-objc-devel opengroupware-libfoundation opengroupware-libfoundation-devel libxml2 libxml2-devel opengroupware-xml opengroupware-xml-devel opengroupware-core opengroupware-core-devel opengroupware-gstep-db opengroupware-gstep-db-devel opengroupware-sope opengroupware-sope-devel opengroupware-env opengroupware-logic opengroupware-logic-devel
Requires:  opengroupware-gstep-make opengroupware-gstep-make-devel opengroupware-env

%description
This package contains the OpenGroupware.org document API.


%package devel
Summary:  The header files for the OpenGroupware.org document API.
Group:    Development/Other
Requires: opengroupware-gstep-make


%description devel
The devel package contains the header files for the OpenGroupware.org
document API.


%prep

%setup -q -n opengroupware.org-docapi


%build

source %{prefix}/OpenGroupware.org.sh
make -s debug=yes strip=yes all


%install

source %{prefix}/OpenGroupware.org.sh
I=${RPM_BUILD_ROOT}%{prefix}
export FORCED_USER_ROOT=$I
B=$I/Library/OpenGroupware.org

make -s debug=yes strip=yes install GNUSTEP_INSTALLATION_DIR=$I BUNDLE_INSTALL_DIR=$B GNUSTEP_LOCAL_ROOT=$I


%post
if test "x${RPM_INSTALL_PREFIX}" = "x"; then
  RPM_INSTALL_PREFIX="%{prefix}"
fi
ldconfig -n $RPM_INSTALL_PREFIX/Libraries/ix86/linux-gnu/gnu-fd-nil

%files
%defattr(-,root,root,-)
%doc README COPYRIGHT COPYING.LIB Version
%dir %{prefix}/Libraries
%dir %{prefix}/Libraries/ix86
%dir %{prefix}/Libraries/ix86/linux-gnu
%dir %{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libOGoDocuments*.so.*.*
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libOGoBase*.so.*.*
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libOGoAccounts*.so.*.*
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libOGoContacts*.so.*.*
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libOGoJobs*.so.*.*
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libOGoDatabaseProject*.so.*.*
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libOGoFileSystemProject*.so.*.*
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libOGoProject*.so.*.*
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libOGoScheduler*.so.*.*
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libOGoRawDatabase*.so.*
%dir %{prefix}/Library
%dir %{prefix}/Library/OpenGroupware.org
%{prefix}/Library/OpenGroupware.org/OGoAccounts.ds
%{prefix}/Library/OpenGroupware.org/OGoBase.ds
%{prefix}/Library/OpenGroupware.org/OGoContacts.ds
%{prefix}/Library/OpenGroupware.org/OGoRawDatabase.ds
%{prefix}/Library/OpenGroupware.org/OGoDatabaseProject.ds
%{prefix}/Library/OpenGroupware.org/OGoFileSystemProject.ds
%{prefix}/Library/OpenGroupware.org/OGoJobs.ds
%{prefix}/Library/OpenGroupware.org/OGoProject.ds
%{prefix}/Library/OpenGroupware.org/OGoScheduler.ds
%dir %{prefix}/Libraries
%dir %{prefix}/Libraries/Resources
%dir %{prefix}/Libraries/Resources/OGoScheduler
%{prefix}/Libraries/Resources/OGoScheduler/Holidays.plist

%files devel
%defattr(-,root,root,-)
%dir %{prefix}/Headers
%{prefix}/Headers/OGoAccounts
%{prefix}/Headers/OGoBase
%{prefix}/Headers/OGoContacts
%{prefix}/Headers/OGoRawDatabase
%{prefix}/Headers/OGoDatabaseProject
%{prefix}/Headers/OGoDocuments
%{prefix}/Headers/OGoFileSystemProject
%{prefix}/Headers/OGoJobs
%{prefix}/Headers/OGoProject
%{prefix}/Headers/OGoScheduler
%dir %{prefix}/Libraries
%dir %{prefix}/Libraries/ix86
%dir %{prefix}/Libraries/ix86/linux-gnu
%dir %{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libOGoAccounts*.so
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libOGoBase*.so
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libOGoContacts*.so
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libOGoRawDatabase*.so
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libOGoDatabaseProject*.so
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libOGoDocuments*.so
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libOGoFileSystemProject*.so
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libOGoJobs*.so
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libOGoProject*.so
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libOGoScheduler*.so


%clean
rm -fr $RPM_BUILD_ROOT

%changelog
* Thu Sep 4 2003 Austin Acton <aacton@yorku.ca> 1.0-20030721.1mdk
- from Spencer Anderson <sdander@oberon.ark.com> :
  - initial Mandrake release
  - based on Redhat specfile

